#!/usr/bin/env python3

import sys
from numberdealers import parse_numberdealers, times, report_errors, numbers_per_user


def main():
	numbers, errors = parse_numberdealers.parse(sys.stdin)

	if numbers == [] and errors == []:
		print("No input data")
		return
	elif numbers == []:
		print("No valid number messages!")
		return

	print(f"Checked from {numbers[0].recognized_number} up to {numbers[-1].recognized_number}")
	print()
	report_errors.report_errors(errors)
	print()
	print("---")
	print()
	print("```")
	times.report_times(numbers)
	print("```")
	print()
	print("---")
	print()
	print("```")
	numbers_per_user.report_users(numbers)
	print("```")


if __name__ == "__main__":
	main()
